VS 2015 compatibility for CUITe 1.06

Feb 29, 2016 at 1:43 PM
We have been using CUITe within a custom test framework for several years now, currently with VS 2013. We will be migrating to VS 2015 at some point in the not too distant future, so we are in the process of making sure our test framework is compatible.

I see that 2015 compatibility has been implemented in CUITe 2.0, however there are many breaking changes in 2.0 that would have a direct and serious impact on our test framework and existing tests. A migration to CUITe 2.0 is way beyond the scope of anything we can afford right now.

Can anyone here point me to the specific changes that were made in 2.0 for VS 2015 compatibility? I think my only option right now is to try to roll those changes back into 1.06. Given how long CUITe has been out in the wild, I would be amazed if we are the only shop that is affected by the breaking changes in 2.0, so I would be interested in hearing from anyone else who has dealt with this and what you did.
Coordinator
Apr 14, 2016 at 9:32 PM
See the new wiki page Upgrading from v1.0 to v2.0.